Transfer credits between account and institution
curl --request PUT \
--url https://pria.praxislxp.com/api/admin/accountInstitution/{id} \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"institutionId": "<string>",
"credits": 100
}
'import requests
url = "https://pria.praxislxp.com/api/admin/accountInstitution/{id}"
payload = {
"institutionId": "<string>",
"credits": 100
}
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({institutionId: '<string>', credits: 100})
};
fetch('https://pria.praxislxp.com/api/admin/accountInstitution/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"account": {
"id": "<string>",
"credits": 123
},
"institution": {
"id": "<string>",
"credits": 123,
"creditsTotal": 123,
"creditsUsagePct": 123
}
},
"message": "Account Transfer recorded!"
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "Authentication Required"
}{
"success": false,
"message": "Unauthorized: not a manager for this account"
}{
"success": false,
"message": "<string>"
}Admin Accounts
Transfer credits between account and institution
Transfers credits from the parent account to one of its institutions (positive credits value) or reclaims credits from the institution back to the account (negative credits value). The institution must belong to the specified account. Both the account and institution must have sufficient credits for the transfer direction. An AccountTransfer record is created for audit purposes.
PUT
/
api
/
admin
/
accountInstitution
/
{id}
Transfer credits between account and institution
Authorizations
JWT token passed in x-access-token header
Path Parameters
Account ID (the parent account to transfer credits from/to)
Body
application/json
Was this page helpful?
⌘I